Skip to main content
POST
/
v1
/
generation
/
speech-recognize
Submit Speech Recognition Task
curl --request POST \
  --url https://api.weryai.com/v1/generation/speech-recognize \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "audio_base64": "data:audio/mp3;base64,SUQzBAAAAAAAI1RTU0UAAAAPAAADTGF2ZjU2LjM0LjEwMAAAAAAAAAAAAAAA//tQxAADB...",
  "language": "en",
  "webhook_url": "https://your-server.com/webhook"
}
'
{
  "status": 0,
  "desc": "success",
  "message": "success",
  "data": {
    "task_id": "task_abc123",
    "task_status": "waiting"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.weryai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using Bearer token. Get your API Key from the WeryAI Console.

Example: Authorization: Bearer sk-xxxxxxxxxxxxxxxx

Body

application/json
audio_url
string<uri>

Audio URL. audio_url and audio_base64 are optional fields, but at least one of them must be provided. Must start with http/https.

Example:

"https://example.com/audio.mp3"

audio_base64
string

Audio base64 string. audio_url and audio_base64 are optional fields, but at least one of them must be provided. Using a data:audio/xxx;base64, prefix is recommended.

Example:

"data:audio/mp3;base64,SUQzBAAAAAAAI1RTU0UAAAAPAAADTGF2ZjU2LjM0LjEwMAAAAAAAAAAAAAAA//tQxAADB..."

language
string

Language code for speech recognition (e.g. en, zh, ja, ko)

Example:

"en"

webhook_url
string<uri>

Callback URL where results will be sent when task completes

Example:

"https://your-server.com/webhook"

caller_id
integer<int64>

Caller ID (for business association)

Response

Task submitted successfully

status
integer

Business status code (0 indicates success)

Example:

0

desc
string

Status description

Example:

"success"

message
string

Multi-language message

Example:

"success"

data
object